summaryrefslogtreecommitdiffstats
path: root/development/slibtool/slibtool.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/slibtool/slibtool.SlackBuild')
-rw-r--r--development/slibtool/slibtool.SlackBuild35
1 files changed, 20 insertions, 15 deletions
diff --git a/development/slibtool/slibtool.SlackBuild b/development/slibtool/slibtool.SlackBuild
index 5f0e4abdfa..a2ee254764 100644
--- a/development/slibtool/slibtool.SlackBuild
+++ b/development/slibtool/slibtool.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for slibtool
-# Copyright 2017-2018 Hunter Sezen California, USA
+# Copyright 2017-2018, 2020 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=slibtool
-VERSION=${VERSION:-0.5.28}
+VERSION=${VERSION:-0.5.29}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -69,24 +69,29 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-[ "${DEBUG:=0}" != 0 ] && \
+[ "${DEBUG:=0}" = 0 ] ||
SLKCFLAGS="$(printf %s "$SLKCFLAGS" | sed 's/-O2/-O0 -g/')"
-CFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --disable-static \
- --enable-shared \
- --pkgdurl='https://slackbuilds.org/apps/slibtool/' \
- --build=$ARCH-slackware-linux
+(
+ mkdir -p build
+ cd build
-make
-make install DESTDIR=$PKG
+ CFLAGS="$SLKCFLAGS" \
+ ../configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --disable-static \
+ --enable-shared \
+ --pkgdurl='https://slackbuilds.org/apps/slibtool/' \
+ --build=$ARCH-slackware-linux
+
+ make
+ make install DESTDIR=$PKG
+)
if [ "$DEBUG" = 0 ]; then
- find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
fi
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION